apiVersion: apps/v1
kind: Deployment
metadata:
  name: jobsearch-api
spec:
  revisionHistoryLimit: 5
  progressDeadlineSeconds: 1200
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  selector:
    matchLabels:
      app: jobsearch-api
  replicas: 1
  template:
    metadata:
      labels:
        app: jobsearch-api
    spec:
      securityContext:
        runAsNonRoot: true
      containers:
        - name: jobsearch-api
          image: registry.gitlab.com/arbetsformedlingen/job-ads/jobsearch/jobsearch-api/main:latest
          imagePullPolicy: IfNotPresent
          envFrom:
            - configMapRef:
                name: jobsearch-api-cm
            - secretRef:
                name: jobsearch-api-secret
          ports:
            - containerPort: 8081
          volumeMounts:
            - name: cabundle
              mountPath: /certs/af.crt
              subPath: cert
          readinessProbe:
            initialDelaySeconds: 10
            timeoutSeconds: 10
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 3
            httpGet:
              path: /swagger.json
              port: 8081
          livenessProbe:
            initialDelaySeconds: 30
            timeoutSeconds: 10
            periodSeconds: 30
            httpGet:
              path: /search?region=01&limit=0
              port: 8081
            successThreshold: 1
            failureThreshold: 3
          securityContext:
            readOnlyRootFilesystem: true
            allowPrivilegeEscalation: false
          resources:
            requests:
              cpu: 100m
              memory: "2Gi"
            limits:
              cpu: "1"
              memory: "3Gi"
      volumes:
        - name: cabundle
          configMap:
            name: af-ca
            items:
              - key: ca-bundle.crt
                path: cert
